Introduction

iRedSoft Image Resizer is a batch image resizing tool made with the digital photographers in mind. It offers several features which would make it easier for you to process your digital images. It allows you to work with an entire batch of images instead of having you process them one by one.

Some of the key features of iRedSoft Image Resizer includes
- Batch Image Resizing. With the influx of megapixels digital cameras, you are able to take images which are great for prints but may be too big to share with others over the internet or on your screen. iRedSoft Image Resizer will size them down thus allowing you to save on those bandwidth and makes it easier for others to view those precious moments taken by your skilled hands.
- Batch Image Format Conversion. iRedSoft Image Resizer allows you to convert images amongst the more popular image formats suitable for high quality photo-realistic images such as JPEG, PNG, TIFF, BMP, TGA, PCX and Adobe Photoshop Format.

- Batch Image Rotation. The Flexibility of the digital camera is that it allows you to take both landscape and portrait images depending on what the situation calls for. However, it is a pain having to rotate them manually for your collection. iRedSoft Image Resizer allows you to drag the images and do a quick batch rotation from portrait to landscape.
- Batch Sharpening. We know that at times that images do not come out as sharp as we want them to be. With iRedSoft Image Resizer, you can apply the sharpening tool to the images easily.
- Add Drop Shadow. iRedSoft Image Resizer allows you to add a neat drop shadow around the images. With this tool, it will allow you to make your images stand out amongst the rest.

You get all these and more with iRedSoft Image Resizer. It is not just a batch image tool but it add to the fun of digital photography by saving you time doing all those mundane tasks and allowing you to be more productive. What used to take days if not months to accomplished, iRedSoft Image Resizer could probably do it in a matter of minutes.


What's New

iRedSoft Image Resizer V3.0 is the 3rd complete rewrite of the iRedSoft Image Resizer application. This version includes several enhancement over v2.x.
1) It sports a new interface inline with the current XP theme. Each panel is dockable which means that with a little creativity, you can arrange it any way you like.

2) It allows you to manipulate images without resizing or by Percentage.
3) It allows you to add Drop Shadow to your images to give it more sparkle.

4) The Load Folder mention now allows you to load up subdirectories at the same time.
5) Apart from Loading Individual Images or by Folders, it allows you to drag and drop files and folders from Windows Explorer
6) It allows processing of multiple folders and allowing you to retain the same folder structure for the processed images.
7) It allows you to apply batch rotation to the images.
8) It comes with batch sharpening tool to make good those slightly blurred images.
9) It comes with a faster image processing engine which has better manages image memory.
Version History
v3.0 - Initial Release
v3.01 - Corrected JPEG Quality Bug / Added Bug Reporting System
v3.02 - Added safeguard to check for missing compulsory entries in settings.

v3.03 - Added safeguard to prevent more than 1 copy to run.
- Added Folder Dialog which supports Windows File Directory Format

v3.04 - Fixed internal bugs
v3.05 - Speed up Load Folder method
v3.06 - Updated Imaging Engine , Database System and Grid System.
v3.07 - Fixed "Integer to Null" error.
v3.08 - Fixed 'Keep Sub-directory Structure' bug

v3.10 - Update Imaging Engine and Database Engine

v3.17 - Bug Fixes


System Requirements
This program is written specifically for the Windows Operating System and we make no guarantees that it would work on any other environment but it is known to work in the emulated mode on the Mac.
The program was designed on a Windows XP Pro system and tested and certified to function on Windows 95, Windows 98 Second Edition, Windows ME, Windows XP Home, Windows XP Pro, Windows NT 4, Windows 2000 (all editions) and Windows 2003 (all editions).
Although the program would work on any system which runs any of the above system, Image Processing can be quite CPU intensive and as such recommends a minimum of a Pentium 400Mhz CPU running with at least 128mb RAM and 10mb of free harddisk space. You will require more harddisk space if you have a lot of images to process.

The program can function in conjunction with other running programs but if you doing extensive processing and work with huge image files, it is advisable to make it the only running program. The program would utilize all unused CPU resources when processing images.


Supported Image Formats

The program is created with the digital photographer in mind and as such included the commonly used image formats used by the digital camera (apart from the RAW mode). The program supports 8 image formats.

JPEG | Standard JPEG and JPEG with EXIF information are supported. This is the most commonly used image format because of its image file size and rich 24 bits photo realistic images.
JPEG Progressive | JPEG Progressive is used for display on the web because instead of loading the image entirely before displaying it. This allows the browser to download and display progressively so the viewer can see part of the image as it unfolds instead of waiting for the entire image to load.
PNG | PNG is the upcoming image format which does not use lossy compression like JPEG but this would result in a larger image file size as it stores all the image information. This is touted as a replacement for GIF images which are limited to 256 colors.
TIFF | Single Page TIFF images are supported by iRedSoft Image Resizer. When working with multiple pages TIFF, only the first page would be saved. TIFF images would be stored as uncompressed TIFF.
BMP | BMP is the de facto image format used by Windows. It can work with full 24 to 32 bits color depth. It is however not supported on the web.
TGA | TGA is used mainly as texture map images when skinning 3D form. This format is not supported on the web.
PSD | PSD is the de facto image format used by Adobe Photoshop. Layers are not supported.
PCX | PCX is the image format used mainly for clip arts used in Desktop Publishing.


Trial Version and Registration Information

Trial Version and Purchase Information
iRedSoft Image Resizer v3 is released as 'Try-before-you-buy' software. This allows you to effectively evaluate the program for a period of twenty-one (21) days. During the first 21 days, you may use the program without charge to determine if the program meet your needs.

At this stage, the program is not feature-locked and you have full access to all the functions of the program. During this stage, you will encounter nag screens at start up and when you exit from the program. The program will terminate itself after 2 hours of continuous usage. At the end of the 21 days, the program will no longer function without a license key.

If you feel that you will benefit from the usage of this program, you are required to purchase a license key online. The standard retail price of the program is $19.95. Please refer to http://www.batchimage.com/registration.html for updated prices as we may have special pricing once in a while.

We do not handle sales in-house and engage Regsoft.com Inc to handle all sales orders. Please do not send us any cash, checks, purchase orders or any form of payment as they would be discarded. Regsoft.com has a comprehensive ordering system which allows online secured Credit Card purchases, phone-in, mail-in, fax-in and purchase order sales. If you need to discuss any alternative payment methods, feel free to contact sales@regsoft.com for options. Please quote Product ID 67854.
For the above mention payment methods, you would find the necessary information with their order page using the following link :
http://www.regsoft.net/purchase.php3?productid=67854

We do offer bulk discounts. Please refer to the order page for more information.

This is a virtual product and you will be sent the Registration Key via email once your order has been approved. For a typical online credit card purchase, you should receive the keys within 3 hours of the purchase. This is handled by their automated order processing system which operates 24/7.
As a registered user, you will be entitled to unrestricted usage of the program for as long as you require. The license will not time out. You will be entitled to all minor updates (all point updates eg v3.0 to v3.5) and bug fixes. You will be provided with a deep discount to upgrade the program (eg v3.0 to v4.0).
All minor updates can be applied by downloading the latest trial version from our website and installing it over the prior installation. The license key would work for the new updates.

SOHO and Personal Users

Although a license key is required for each computer the program is installed on, we make an exception to SOHO and Personal users who may have several computers. As long as the program is used 80% of the time by the same user, you may install it on up to 3 computers without any additional cost.

This does not apply to usage of the program in a commercial environment. You will need to purchase additional licenses in accordance to the number of users. We do offer discount pricing for purchase of multiple licenses.


Contact Information
Pre-Sales
If you have any inquiries of a technical nature, such as how to use certain functions or to setting ideas, feel free to contact us at support@batchimage.com . As we do maintain support for several programs, it would allow us to address the issue specifically if you include the name of the program with your email correspondence.

If it relates to purchasing options, you may contact our sales department at sales@batchimage.com .
Misplaced your registration key ?
We understand that mishaps do occur due to several reasons and you may need to reinstall your program, if that happens you could contact sales@regsoft.com if you have your Order ID and request for a resend of your purchase information. This will contain a fresh new registration key. Ensure that you use the same email address that you use when registered. Please do so if the registration key no longer works. As a security measure, the registration key will only be valid for 7 days and need to be applied at before the expiry of the 7 days. Once applied, it will work indefinitely for that machine.

If you do not have your Order ID and/or changed your email address, please contact us at sales@batchimage.com with the following information for validation. Once your order as been verified, we will request Regsoft.com to resend you your registration details.
The information required are :-
- Product you registered for
- Name (at the point of registration)
- Email Address (at the point of registration)
- New Email Address
- Mailing Address (at the point of registration)
- Postal/Zip Code (at the point of registration)
Please do not send us your credit card numbers or payment related issues as we do not have those information and it is unsafe to send them via email.
Changing Email Address ?
Please contact us at sales@batchimage.com if you changed your email address. Although we respect your privacy and do not send you any emails if you do not request for them, we would send out emails when there is a major upgrade, when there is a serious bug issue which we have a fix for and when we have to change the registration key system and would need to send you the new key. If you do not update us, we would not be able to keep you informed.

Need a customized solution ?
If you have a specific need which is not addressed by our programs, feel free to contact us at sales@batchimage.com for a custom solution. We would be able to piece altogether a program which would be tailored to your needs for an additional fee. Because our programs uses proprietary technologies, we would not be able to offer any source codes with this option.


Warning

Good Practises

It is a good practise to keep the target directory different from the original directory as any images processed would be overwritten and would not be retrievable.

Burnt a good set of raw images to a recordable media such as a CD or DVD recordable so you could refer to them in the future when you need it.
It is always good to select a small number of images while you are testing different settings so as to reduce the time it takes before you see the results. Once you are happy with the settings, you may load the entire list of images for processing.

When exiting the program, click on File/Exit so that it would save all current settings and perform the necessary memory cleanup.
Although the program allows you to work directly with a digital camera, it is advisable to copy the images to the harddisk and work from there. Digital camera uses battery to power up and if the battery runs low during image processing, it may result in data corruption on the camera media.


Program Description

Introduction

One of the fundamental changes is the way the program interface is structured. In the prior version, you have all the three element, image listing, settings and image preview in one screen. With the current version, we spilt them up into 3 pages called Control Center, Settings and Image Preview. This make use of the previous screen real estate by hiding functions that you do not require and allows you to work with what you need.

To accommodate the different needs of our customers, we allow the interface to be dockable. If you want to see all three screens at once, you can do so by dragging it out from where it is and it would appear as its own Windows.


Control Center

The Control Center is the main screen of the program. This features the command buttons on the left and the file listing on the right panel.
Command

Load Files | Use this function to load single image files or selective files from a folder.
Load Folders | To load enter folders and sub-folders, use this function.
Process All | This begin the image processing sequence as specified by your settings.
Clear List | This clears the entire file listing.
Settings | This brings up the Settings Page

File Listing
If you click on an image file, it would open up the image so you could preview it in the Image Preview Page.

To delete a file from the list, right-mouse click on the file name and select Delete.


Settings

The Settings page contains the adjustments you can make to your images.

Image Properties
Image Format | This allows you to determine which image format you want the image to be converted to. Set it to As Is if you want to save the processed images in the same image format.
Resizing Method | The program allows you to determine the resizing method such as resizing by pixels, by percentage and by the pre-determined ratios. Setting this option to As Is would prevent any image resizing.
Maximum Width | Used in conjunction with Resizing by Pixels, this will define the maximum acceptable width. Any images which breach this set width would be resized to it.
Maximum Height | Used in conjunction with Resizing by Pixels, this will define the maximum acceptable height.
Keep Dimension Ratio Aspect | When in used with Resizing by Pixels, this will ensure that the image maintains the dimension ratio. If you uncheck this option, all images will be resized to the maximum width and maximum height dimension. Otherwise all images would be downsized to that dimension specified. If you select this option in conjunction with the Resizing by Pixels, you may set either maximum width or maximum height as 0 and have the program set it for you.
Resize Percentage | When used with Resizing by Percentage, it allows you to determine the output image size in conjunction to the current image size.
Keep Image Header | JPEG Images captured with a digital camera would contain EXIF information in the image file header. The EXIF information contains camera settings used for the image. Although this program does not directly support viewing of this information, it however allows you to keep or delete the information. By unchecking this option, the header information would be deleted, this will reduce the image size by several kilobytes.
JPEG Quality | JPEG uses a lossy compression algorithm by removing unnecessary image details thus is efficient in creating small image file sizes. Because JPEG would lose image quality each time it is edited, internally the program converts the image to bitmap before saving it to a format you selected. By setting JPEG Quality to 100%, it may produce a larger image size as compared to the initial file size. By keeping JPEG quality to between 70 to 90% would produce acceptable image quality close to the original.
Dots per Inch | The Dot Per Inch setting is ignored for most on-screen purposes apart from Desktop Publishing, Word Processors and older printers which would determine how huge the resultant image would appear. Modern printers are intelligent enough to interpolate the images to any desired size.
Image Orientation | Images taken by digital cameras would allows turn up as landscape images and as such, the program allows you to rotate the image 90º clockwise or counter-clockwise.
Image Manipulation | The Program allows you to sharpen images which may appear a little blur due to camera shake.
Add Drop Shadow | By selecting this option, the image will be encased with a black drop shadow which makes it stand out.

Files Properties

Target Directory/Folder | This defines the directory in which the processed images would be stored in.
Keep Sub-directory Structure | Check this option if you are working with multiple subdirectories at the same time and you want all images stored in the same sub directory structure. By unchecking this, all images would be stored in the same folder. Any images with the same file name would be overwritten with the last file with the same file name.


Image Preview

The Image Preview allows you to preview the images on the Control Center File Listing. Just click on image file name and it will appear in the Image Preview.

When you click Process All, the Image Preview will show the images being processed.


Application Docking System

One of the enhancement in this new version is the Application Docking System. It allows you to define how the program would look.

Here is how the program looks by default.

It could look like this. This shows the Image Preview being undocked.

Or like this with both the Settings and Image Preview undocked.

Or Dock all Windows side by side

Or placing the Image Preview at the top.

Docking Information

The first step to docking would be to undock a page. You can do this by holding the left-mouse button down when selecting the page name. By default this would be the bottom tab on the default page design. While holding the mouse button down, drag the page out and it will immediately be undocked.
To dock a page, hold the left-mouse button down when selecting the page name and dragging into the program to where you want it to dock.

Note : Both the Image Preview and Settings can be undocked. The Control Center however cannot be undocked. You may dock the pages to the Left, Right, Top, Bottom or as a Tab in the program.

Docking Tags

On the top of each page you will see [image] . These are docking tags which could alter the behavior of the pages.

The first tag would maximize or minimize the page depending on where it is at. It basically would close up the other pages. This will appear only if at least two pages are stacked on top of each other or side by side.

The second tag would determine if the page would appear static at where it is at. If the Pin is pointing down, it would remain static and if it is pointing towards the left, it will close up. Moving the mouse over the page name would open the page. Clicking on the page at the back would close it.

The third tag would remove the page from the screen. If you want to bring it back, select Windows and the Page Name and it will reappear.
Note : If at any point, you want to revert to the original layout, select Windows and Reset Layout.


Loading Images
iRedSoft Image Resizer offer 3 ways to load up images.

Load Files

By using the Load Files option, it allows you to select file or files from a specific directory into the program.

To select a single image file, just click on the file name and Open which will load that file to the file listing.

To select batch of image files, click on the first file name on the list then while holding down the SHIFT key select the last image on the list with your left-mouse button. Once you got the list you want, click on Open which would load the selected list into the file listing.

To import selective image files, click on the first file name on the list then while holding down the CTRL key select all the subsequent image files you want to include. Once you got the list you want, click on Open which would load the selected list into the file listing.

Load Folders

If you want to load up entire folders, use the Load Folders method. This will allow you to select the folder which you want all images to be imported from. This supports loading from an entire folder with the option to include all sub folders.

Drag and Drop

This works with Windows Explorer through My Computer on the Windows XP desktop. You could select image files and folders and drop them into the Control Center.

Note : With Windows XP and above, you could change the file listing view (for Load Files and Windows Explorer) by clicking on the last icon at the icon bar and selecting the View Menu to Thumbnails.

Below is the file listing mode

Below is the Thumbnail View Mode


Resize Images

Resizing Images

Image Resizing is the core function of the program. The program offers 3 resizing methods.

Resizing by Pixels

If you select Resizing by Pixels, there are 3 others settings which would be relevant. They are Maximum Width, Maximum Height and Keep Dimension Ratio Aspects.

The Keep Dimension Ratio Aspects option when selected would ensure that the images would not get distorted but would look perfect at any dimension.

By selecting Keep Dimension Ratio Aspects, the images which are larger than the maximum width or maximum height would be downsize so that both width and height are equal or smaller than the maximum allowable dimension. You may keep either one of the dimension to 0 if you do not have any dimension criteria for that dimension.

If Keep Dimension Ratio Aspects is not selected, all images would be resized based on the maximum width and height. Images can be upsized or downsized depending on the set parameters.

Resizing by Percentage
If you select Resizing by Percentage, the Percentage setting would be relevant. This would determine the percentage scale of the processed image to the original file dimension. All Resizing by Percentage method would handle Dimension Ratio Aspects automatically.

The base ratio is 100% which would be equivalent to no resizing. If you set it to 120% it will upsize the image by 20%. If you set it to 80%, it will scale down the image to 80% of the original file size.
The program does not handle decimal placement but whole numbers.

Resizing by Ratio

The program allows you to resize images by ratio from 1/8x to 4x the original image size. Dimension Ratio Aspects would be handled by the program automatically.

Note : Images which have dimensions under 30 pixels may be distorted even if dimension ratio aspects are used due to the rounding issues in the computation.


Add Drop Shadow

Adding Drop Shadow

Drop Shadow adds a black shadow cast to the image so that it stands out.
Here is a standard image without drop shadow

Here is the same image with drop shadow

Drop Shadow can be enabled by checking the Add Drop Shadow option in Settings.

Note : An image with Drop Shadow will be 33 pixels larger for both width and height to account for the shadow as opposed to an image without.


Rotate Images

Images taken by a digital camera would typically be landscape images by design. Occasionally, you may take portrait images by rotating the camera to the left or right. When downloading the images from the camera, they will appear as landscape images. iRedSoft Image Resizer allow you to rotate these images.

Using the Thumbnail View mode in either Load Files or Windows Explorer you could select the images which require rotation and import them into the program. Once you are done, set the Image Orientation to Rotate Clockwise 90º or Rotate Anti-Clockwise 90º depending on the how the images were taken. After you set the rest of the parameters click Process All and it will begin the image processing.


Where can I find program updates ?
To simplify updates, we do not maintain separate update files. All you will need to do is to download the latest trial version from our website and install it over the current program. This will update all necessary files.

The trial and registered version of the program is one and the same program. It is the registration key which is installed in the system registry which would change the program mode. So as long as you do not change computers, the registration key would work on al future iRedSoft Image Resizer v3.x.
We respect your privacy and would not send you any email in regards to program updates. We plan to offer 4 program updates a year until the next major version upgrade (probably in mid 2006 to cater for Microsoft .NET framework in the new Microsoft Windows Operating System). This program updates would include bug fixes, updated imaging engine and several additional features which did not make it at the initial launch. We will implement selected requests from our customers as and when possible.
You may refer to our website at http://www.batchimage.com/download for updated versions.


Where do I report Bugs ?
As much as we want to deliver a perfectly running program and we would perform extensive tests on the programs before we release them, bugs do occur. As we are supporting a wide spectrum of operating systems and computer set up, it is impossible to test on all combinations and problem may occur.
If you encounter a problem, see if you can replicate the error on another computer. If the problem is not replicated, you may want to perform a scandisk, defrag and possibly a virus scan to ensure that the system is in good working condition.

There are times in which an external program may interfere with our program and as such during the test close all other running program and test the program exclusively.

If you can replicate the error, drop us an email at support@batchimage.com with the following information
- Program you are running
- Version of the Program in question
- Your Operating System
- Information about your hardware configuration (eg CPU type/speed, remaining harddisk space, RAM)
- The error message
- When the Error occurs (eg at program start up, while running the program or when you close the program)
- The Configuration File (You will find a file called default.ini in the installed directory, this contain all settings for the program)
When requested, you may send us the image file in question via email. Our mailbox would reject any file attachment over 1mb so write to us if you are sending us a file larger than that size.
We will try to replicate the error on our end and issue a bug fix as soon as we have a solution.


Can I request for new features ?
Our programs are created with our customers in mind and build the program based on their requests and usage pattern. If there are any features which you believe the mass audience would benefit from and if it does not require a massive reengineering of the system, we could place it on the to-do-list. We however do not guarantee that every requests would be added.

Do understand that we are working on a limited budget and manpower and as such we will do our best to implement them to the best of our abilities. We are keeping the cost of the product down so we apologize if we are unable to implement the requested changes.

If there are features you require which we cannot implement, feel free to request for a custom code and we could develop a program to cater exclusively to your needs for a fee.
For all inquiries, you may contact us at support@batchimage.com


What is your upgrade policy ?

When you purchase a license, you will be entitled to all minor updates and bug fixes for that version free-of-charge. All you need to do is to download and install the program from our website at http://www.batchimage.com/download . However, major upgrades from v3.x to v4.x would not be covered by the free offer. As a registered user, you will be entitled to purchase the new version for a discounted price.
The typical lifespan of a version is two years from the initial version launch. You may however use the program indefinitely. All upgrades are optional.
Each major upgrade would involved rewriting the program from bottom up to support a new imaging engine, a new operating system or to implement new features which cannot be implemented with the old framework. The next major upgrade would take place in the mid of 2006 with the launch of the new Windows Operating System which supports the .NET framework. From what we understand, all Windows program which works under Windows XP would work on the new operating system but we cannot guarantee that as nothing is firm on Microsoft's end.
Our policy would be if you purchase our program 30 days prior to the next major upgrade, you will be entitled to a free major upgrade. But we are liberal on that fact and may extend the offer to purchases made before the 30 days.


Do you support Microsoft .NET framework ?
The current version is not based on Microsoft .NET framework but we intend to support the framework once the next Windows operating system is released in 2006. At the moment, there are talk about a new .NET framework version which would be a radical change from the current v1.1. As such, we have not begin any .NET framework based development as yet as we do not want to bite ourselves in the tail when the framework changes.

Currently, the only version of Windows which supports the .NET framework v1.1 natively is Windows 2003 Server. For other versions of Windows, you will need to download and install a 20mb file to provide the support. The framework although functional is slow and lacking in features compared to the current executable framework which we use. It is our opinion that the .NET framework at the present time is not ready for prime time.

The new Windows Operating System to be launched in 2006 would come with native support for .NET. We would have a version of iRedSoft Image Resizer for it when that Operating System is available to the masses.


Is the License Transferable ?
If you purchase a license, it is tied in to the registered name as such the license is not transferable to a 3rd party with or without a fee. You will be required to purchase an additional license for the new user.

If however the program is registered to a business, the usage may be reassigned to another employee within the same organization.


I purchase multiple licenses but I was only given one key ?

I purchase multiple licenses but was only provided with one key.
Regsoft.com's system is capable of generating a single license key irregardless of the number of licenses purchased. You may use the same key for the number of systems you are registered for.

If you require separate keys, drop us an email at sales@batchimage.com with your request. Please indicate the Order ID and the name you want the licenses to be registered under and we will manually generate the keys for you.


I want to register the program for a 3rd party.

By default, Regsoft.com would use the Registered Name as a name to generate the license key. If you are registering the program for a 3rd party such as for a friend, relative or even for your company, you may elect on the registration form that this would be a gift order. When requested, enter the 3rd party information or company name and it will assign the registration key to whoever you nominate.
If after ordering, you receive the key for the wrong name, you may write to us at sales@batchimage.com and indicate the Order ID and the name you want to register and we will manually generate the key.